function [U,V] = delete_nan(U,V,t,depth)
    [nan_u_row,nan_u_col]=find(isnan(U(:,:,depth,t)));
    [nan_v_row,nan_v_col]=find(isnan(U(:,:,depth,t)));
    for i=1:length(nan_u_row)
        U(nan_u_row(i),nan_u_col(i),depth,t) = 0;
    end
    for i=1:length(nan_v_row)
        V(nan_v_row(i),nan_v_col(i),depth,t) = 0;
    end
end