function draw_map(lons,lats,U,V,depth,t)
    color_islands(lons,lats,U(:,:,depth,t),V(:,:,depth,t));
    hold on;
    quiver(lons,lats,U(:,:,depth,t),V(:,:,depth,t),5,'k');
end

function color_islands(lons,lats,U,V)
    color = zeros(length(lats)+1,length(lons)+1); 
    lons(length(lons)+1) = lons(length(lons))+lons(length(lons))-lons(length(lons)-1);
    lats(length(lats)+1) = lats(length(lats))+lats(length(lats))-lats(length(lats)-1);
    for i=1:length(U(:,1)) 
        for j=1:length(U(1,:)) 
            if(isnan(U(i,j)) && isnan(V(i,j)))
                color(i,j) = 1; 
            end
        end
    end
    pcolor(lons,lats,color);
    shading flat;
    colormap([0.9 0.9 1; 0 0.7 0.5])
end