function [h,vector_elli,vector_cheese]=ellipse(xc,yc,r1,r2,angle,rings,cheese)
    div1=r1/rings;
    div2=r2/rings;
    h=1;
    vector_elli=zeros(rings,100,2);
    vector_cheese=zeros(cheese,2);
    for i=0:rings-1
        elli=calculate_ellipse(xc, yc, r1-div1*i, r2-div2*i,angle,100);
        vector_elli(i+1,:,1)=elli(:,1);
        vector_elli(i+1,:,2)=elli(:,2);
        h(i+1)= plot(elli(:,1), elli(:,2));
    end
    angle_rads = -angle*pi/180.;
    ROT = [cos(angle_rads) sin(angle_rads); -sin(angle_rads) cos(angle_rads)];
    for i=0:cheese-1        
        angle_cheese = i*2*pi/cheese;
        rAngle = 1./sqrt(cos(angle_cheese)^2/r1^2+sin(angle_cheese)^2/r2^2);
        pRot = [cos(angle_cheese)*rAngle sin(angle_cheese)*rAngle]*ROT;
        pRot = [pRot(1)+xc pRot(2)+yc];
        vector_cheese(i+1,:)=pRot;
        h(rings+i+1)=plot([xc pRot(1)],[yc pRot(2)]);
    end
end